/*
**      ics_protos.h
**
**      prototypes for ics.library
**
**      (C) Copyright 1997 Wolf Faust
**      All Rights Reserved.
*/

#ifndef CLIB_ICS_PROTOS_H
#define CLIB_ICS_PROTOS_H

#ifndef ICS_ICS_H
#include <ICS/ICS.h>
#endif /* ICS_ICS_H */

void *CreateIDCA(struct TagItem *tags);
void *CreateIDC(unsigned long tag1, ...);
void DeleteIDC(void *);
uint_fast32_t SetIDCMode(void *idc, uint_fast32_t  flag);
uint32_t SetupIDCColorMatchingA(void *idc, struct Screen *screen, struct TagItem *tags);
uint32_t SetupIDCColorMatching(void *idc, struct Screen *screen, unsigned long tag1, ...);
HTRANSFORM CreateIDCTransformA(void *idc, struct TagItem *tags);
HTRANSFORM CreateIDCTransform(void *idc, unsigned long tag1, ...);
void DeleteIDCTransform(HTRANSFORM hColorTransform);
BOOL TranslateColors(HTRANSFORM hColorTransform, PCOLOR paInoutColors, uintmax_t nColors, COLORTYPE ctInput, PCOLOR paOutputColors, COLORTYPE ctOutput);
uint_fast32_t ICSErr(void *idc);
PSTR ICSFault(void *idc, PSTR header);
uint_fast32_t ICSStatusWinA(HTRANSFORM hColorTransform, struct TagItem *tags);
uint_fast32_t ICSStatusWin(HTRANSFORM hColorTransform, unsigned long tag1, ...);

#endif /* CLIB_ICS_PROTOS_H */
